<?xml version="1.0" encoding="ISO-8859-1"?>

<project name="Filler" default="all" basedir=".">

  <target name="init">
    <property name="src" value="${basedir}/src"/>
    <property name="output" value="${basedir}/classes"/>
    <property name="doc" value="${basedir}/javadoc"/>
    <property name="classpath" value="${output}"/>
  </target>

  <target name="prepare" depends="init">
    <mkdir dir="${output}"/>
    <mkdir dir="${doc}"/>
  </target>

  <target name="all" depends="prepare">
    <javac srcdir="${src}"
           destdir="${output}"
           classpath="${classpath}"/>
  </target>

  <target name="doc" depends="prepare">
    <javadoc sourcepath="${src}"
              destdir="${doc}"
              packagenames="friendless.*"
              private="true"
              version="true"
              use="true"
              author="true"
              windowtitle="Filler">
    </javadoc>
  </target>

</project>
